package amine.bou.DB

import amine.bou.models.RecurrenceViewEnum
import org.jetbrains.exposed.dao.IntEntity
import org.jetbrains.exposed.dao.IntEntityClass
import org.jetbrains.exposed.dao.id.EntityID
import org.jetbrains.exposed.dao.id.IntIdTable

object Habits : IntIdTable() {
    val name = varchar("name", 256)
    val color = varchar("color", 6)
    val recurrence = enumerationByName<RecurrenceViewEnum>("every", 12)
}

class Habit(id: EntityID<Int>) : IntEntity(id) {
    companion object : IntEntityClass<Habit>(Habits)

    var name by Habits.name
    var color by Habits.color
    var recurrence by Habits.recurrence

    val occurences by HabitOccurrence referrersOn HabitOccurrences.habit
}