package amine.bou.plugins

import DB.Migrations
import MigrationsController
import amine.bou.DB.HabitOccurrences
import amine.bou.DB.Habits
import io.ktor.http.*
import io.ktor.server.application.*
import io.ktor.server.request.*
import io.ktor.server.response.*
import io.ktor.server.routing.*
import org.jetbrains.exposed.sql.*
import org.jetbrains.exposed.sql.transactions.transaction

fun Application.configureDatabases() {
    var migrationsController = MigrationsController()

    val database = Database.connect("jdbc:sqlite:habits.db", "org.sqlite.JDBC")
    transaction {
        SchemaUtils.create (Habits)
        SchemaUtils.create (HabitOccurrences)
        SchemaUtils.create (Migrations)
        migrationsController.checkMigrationsToDo()
    }
}
